Page MenuHomePhabricator

Truncate `updatelog` on all wikis
Closed, ResolvedPublic

Description

Thought we'd done this one before, but couldn't find a task. updatelog is effectively unused at WMF, but sometimes maintenance scripts can inject stuff there. This table can be safely truncated on all wikis.

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8

Event Timeline

demon created this task.Sep 1 2017, 4:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2017, 4:11 PM
Marostegui moved this task from Triage to Backlog on the DBA board.Sep 1 2017, 4:13 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-22T08:30:52Z] <marostegui> Truncate updatelog on s4,s5,s6,s8 - T174804

Marostegui updated the task description. (Show Details)Mar 22 2018, 8:30 AM

Mentioned in SAL (#wikimedia-operations) [2018-03-22T08:45:10Z] <marostegui> Truncate updatelog on s2 - T174804

Marostegui updated the task description. (Show Details)Mar 22 2018, 8:58 AM

Mentioned in SAL (#wikimedia-operations) [2018-03-22T09:04:27Z] <marostegui> Truncate updatelog on s7 - T174804

Marostegui updated the task description. (Show Details)Mar 22 2018, 9:17 AM

Mentioned in SAL (#wikimedia-operations) [2018-03-22T09:19:02Z] <marostegui> Truncate updatelog on s1 - T174804

Marostegui updated the task description. (Show Details)Mar 22 2018, 9:19 AM

Mentioned in SAL (#wikimedia-operations) [2018-03-22T09:21:09Z] <marostegui> Truncate updatelog on s3 - T174804

Marostegui moved this task from Backlog to In progress on the DBA board.
Marostegui added a subscriber: Marostegui.

The last section s3 is being done. I have left it with long sleeps to avoid any possible delays, specially on labs, as we have seen it in the past.
This will take a few hours to get done.

Marostegui closed this task as Resolved.Mar 23 2018, 6:11 AM
Marostegui updated the task description. (Show Details)

All finished